xmlpp::internal_error Class Reference

`#include <libxml++/exceptions/internal_error.h>`

Inheritance diagram for xmlpp::internal_error:
[legend]

## Public Member Functions

| internal_error (const Glib::ustring& message)
virtual | ~internal_error () throw ()
virtual exception | Clone () const
virtual void | Raise () const
Public Member Functions inherited from xmlpp::exception
| exception (const Glib::ustring& message)
virtual | ~exception () throw ()
virtual const char* | what () const throw ()

## Constructor & Destructor Documentation

xmlpp::internal_error::internal_error | ( | const Glib::ustring & | message | ) |

explicit

virtual xmlpp::internal_error::~internal_error | ( |  | ) |
throw | ( |
| ) |  |

virtual

## Member Function Documentation

virtual exception xmlpp::internal_error::Clone | ( |  | ) | const

virtual

Reimplemented from xmlpp::exception.

virtual void xmlpp::internal_error::Raise | ( |  | ) | const

virtual

Reimplemented from xmlpp::exception.